%define name zsync
%define version 0.4.1
%define release %mkrel 1

Summary: An rsync like transfer software over http
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: Artistic
Group: Networking/File transfer
Url: http://zsync.moria.org.uk/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
zsync is a file transfer program. It allows you to download a file from a
remote web server, where you have a copy of an older version of the file on
your computer already. zsync downloads only the new parts of the file. It uses
the same algorithm as rsync.

zsync does not require any special server software or a shell account on the
remote system (rsync, in comparison, requires that you have an rsh or ssh
account, or that the remote system runs rsyncd). Instead, it uses a control
file - a .zsync file - that describes the file to be downloaded and enables
zsync to work out which blocks it needs. This file can be created by the admin
of the web server hosting the download, and placed alongside the file to
download - it is generated once, then any downloaders with zsync can use it.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%__rm -fr %buildroot%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
%_bindir/*
%_mandir/man?/*

%changelog
* Sun Jul 17 2005 Olivier Thauvin <nanardon@mandriva.org> 0.4.1-1mdk
- 0.4.1

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 0.4.0-1mdk
- 0.4.0

* Tue Mar 29 2005 Olivier Thauvin <nanardon@mandrake.org> 0.3.3-1mdk
- 0.3.3

* Tue Mar 22 2005 Olivier Thauvin <nanardon@mandrake.org> 0.3.1-1mdk
- 0.3.1

* Sat Mar 12 2005 Olivier Thauvin <nanardon@mandrake.org> 0.3.0-3mdk
- really fix summary (re thanks Zero_Dogg)

* Sat Mar 12 2005 Olivier Thauvin <nanardon@mandrake.org> 0.3.0-2mdk
- <Zero_Dogg> Nanar: spelling error in zsync: "tranfert" == "transfer" i summary

* Sat Mar 12 2005 Olivier Thauvin <nanardon@mandrake.org> 0.3.0-1mdk
- 0.3.0

* Fri Feb 18 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-1mdk
- 0.2.3

* Sun Feb 13 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.2-1mdk
- 0.2.2

* Wed Feb 09 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.1-1mdk
- First mdk spec

